List Branch Policies
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_enabled": true,
"target_branch_pattern": "<string>",
"required_approvals": 123,
"allow_self_approval": true,
"required_reviewer_ids": [
"<string>"
],
"required_reviewer_roles": [
"<string>"
],
"block_direct_edits": true,
"auto_merge_when_approved": true,
"dismiss_approvals_on_change": true,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Lists branch protection policies configured for the project, optionally filtered by branch pattern.
GET
/
projects
/
{project_reference}
/
policies
List Branch Policies
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Query Parameters
Response
List of branch policies
Show child attributes
Show child attributes